View Issue Details

IDProjectCategoryView StatusLast Update
0001925ScribusGeneralpublic2020-02-20 07:25
ReporterringercAssigned To 
PrioritynoneSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Platformx86 LinuxOSFedora CoreOS Version3
Product Version 
Target VersionFixed in Version 
Summary0001925: Multiple users sharing one open document
DescriptionThere has been a fair bit of discussion on IRC etc about having multiple users able to edit a single document, probably via some sort of collaboration server.

Here's a bug for it. Please link useful wiki entries, bugs, mailing list posts, etc from here.

Please understand that there is NO ETA for this, nor any definite plans. Nobody is working on it. Collecting ideas and information now, however, will help make it easier and better if/when it is finally implemented.

This is not about things like linked text or WebDAV access to resources. Those, while also collaboration features and very useful, are not the same thing. This bug is specifically about multiple users working on a single Scribus document at the same time.
TagsNo tags attached.
Patch

Relationships

related to 0001791 acknowledged Linking to external text 
related to 0001693 closedcbradney New File Open/Save Dialog Class 
related to 0001924 acknowledged Support stream I/O for files 
related to 0010651 new Link text frame to SLA file 
parent of 0003459 acknowledged Enable saving of only parts of a document 
related to 0002107 acknowledged Master documents 
related to 0002108 acknowledged External copy editor tool 
related to 0005306 new UnlockLock Password 
Not all the children of this issue are yet resolved or closed.

Activities

ringerc

2005-04-27 07:19

reporter   ~0004434

Reminder sent to: cbradney, kobuswolf, user180, PFJ

Adding you to the monitor list. You can use "unmonitor" if desired, but I know you're all interested in this.

packetbell

2006-01-02 19:16

reporter   ~0007901

It would be very helpful already if a superset of common UNIX [read|write] PDF [print|annotations] style permissions can be applied to individual frames, pages or entire documents. With that, and support for I/O file streams [1924], one could implement a basic collaboration server with some quick python scripting.

I also like the idea of an external copy editor tool [2108], preferably web based. For instance, if I write a newspaper column, I would have write permissions to the text frame that contains my column. A python script would then return the formatted text-frame to my web browser as a PNG, so I can see how much room I've got left.

JLuc

2020-02-20 07:25

developer   ~0047414

See Link text frame to SLA file proposal : https://bugs.scribus.net/view.php?id=10651

Issue History

Date Modified Username Field Change
2005-04-27 07:05 ringerc New Issue
2005-04-27 07:05 ringerc Status new => acknowledged
2005-04-27 07:06 ringerc Relationship added related to 0001791
2005-04-27 07:07 ringerc Relationship added related to 0001693
2005-04-27 07:08 ringerc Relationship added related to 0001924
2005-04-27 07:19 ringerc Note Added: 0004434
2005-06-21 02:27 ringerc Relationship added related to 0002107
2005-06-21 02:37 ringerc Relationship added related to 0002108
2006-01-02 19:16 packetbell Note Added: 0007901
2006-03-18 00:18 jo-hannes Relationship added parent of 0003459
2007-02-18 00:17 christoph_s Relationship added related to 0005306
2016-05-06 19:42 JLuc Relationship added related to 0010651
2020-02-20 07:25 JLuc Note Added: 0047414